<p>Reactive - Validation</p>
<form [formGroup]="form" #ngForm="ngForm" (ngSubmit)="submit()">
  <div class="row">
    <div class="col-sm-9">
      <label>Nome
        <input formControlName="nome">
      </label>
      <div class="errors" *ngIf="nome.invalid
            && (ngForm.submitted || nome.touched)">
        <div>Valor requerido</div>
      </div>
      <div class="col-sm-3">
        <label>Salário
          <input formControlName="salario">
          <div class="errors"
              *ngIf="salario.invalid && (ngForm.submitted || salario.touched)">
            <div *ngIf="salario.hasError('required')">Valor requerido</div>
            <div *ngIf="salario.hasError('min')">
                Valor minimo: {{salario.errors?.min.min}} </div>
            <div *ngIf="salario.errors?.max">
                Valor maximo: {{salario.errors?.max.max}} valor atual {{salario.errors?.max.actual}}</div>
          </div>
        </label>
      </div>
      salario={{salario.errors | json}}
      nome={{nome.errors | json}}
    </div>
  </div>
  <div class="row">
    <div class="col-sm-12">
      <button [disabled]="ngForm.invalid" type="submit">Salvar</button>
    </div>
  </div>
</form>
